Java$readShort {R.utils} | R Documentation

## Reads a Java formatted short (16 bits) from a connection

### Description

Reads one or several Java formatted short's (16 bits) from a connection. All data types in Java are signed, i.e. a byte can hold a value in the range [-32768,32767].

### Usage

    ## Static method (use this):
    ## Java$readShort(con, n=1, ...)

    ## Don't use the below:
    ## S3 method for class 'Java'
    readShort(static, con, n=1, ...)

### Arguments

`con` | Binary connection to be read from.
`n` | Number of short's to be read.
`...` | Not used.

### Value

Returns an `integer` `vector`.

### Author(s)

Henrik Bengtsson

### See Also

`readBin`(). For more information see `Java`.

[Package R.utils version 2.6.0 Index]